\section{Proposed improvements}
\label{sec:proposed-improvements}
In this section we propose some modifications to the reference work that could,
to the best of our knowledge, improve the results and decrease its limitations.

As a possible solution to the \textbf{accuracy} problem, we propose to enhance
the backbone of the SLAM method, its \emph{Visual Inertial Odometry}. We
propose to fuse additional acoustic data in order to improve the localization
in situations where the lightning conditions are poor or the scenario doesn't
provide enough features for a correct pose estimation. Moreover, we believe
that acoustic information can be used in order to improve the \emph{semantic
tagging} of the method in more complex scenarios. Differentiating similar
looking terrains like gravel and asphalt can be relevant for navigation tasks
as the energy efficiency of traversing them can be very different. As several
terrain classification works (e.g., \cite{DeepTerrain}) have demonstrated,
acoustic information is useful to label different terrains.

Other works have proposed ways to deal with the increasing number of landmarks
in \textbf{lifelong localization} like switching to a \emph{localization only}
mode once the mapping is done \cite{ORBSLAM3_TRO}.

In order to address the \emph{security} issue, we propose to use encrypted
communications by using \emph{ROS2} \cite{Thomas2014} instead of the current
\emph{ROS} (Robot Operating System) \cite{Quigley09}. As it is documented in
the \href{http://wiki.ros.org/Security}{security documentation of ROS}, ROS2
middleware is based on Data Distribution Service and utilizes DDS-Security
standards with configurable authentication, authorization and encryption
mechanisms.
